summaryrefslogtreecommitdiff
path: root/bg2/install-tob-1cd-us-minimal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg2/install-tob-1cd-us-minimal.sh')
-rwxr-xr-xbg2/install-tob-1cd-us-minimal.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
new file mode 100755
index 0000000..67aa795
--- /dev/null
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+#
+# Baldur's Gate 2 Throne of Bhaal (1CD US version) Minimal Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG2_TOB_1CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+if [ ! -e "${TARGETDIR}/cd2/data/area000a.bif" ]
+then
+ echo "You haven't installed BG2-SOA!"
+ die
+ # TODO ask user to run the appropriate preinstaller.
+fi
+
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+
+rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
+
+move_and_remove "${TARGETDIR}/hd025music" "${TARGETDIR}/music"
+move_and_remove "${TARGETDIR}/hd0_english/characters" "${TARGETDIR}/characters"
+move_and_remove "${TARGETDIR}/hd0_english/override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/hd0_override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/minimum_25_data" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/minimum_25_data_english" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/hd0_english/" "${TARGETDIR}/"
+move_and_remove "${TARGETDIR}/hd0" "${TARGETDIR}/"
+
+teardown "$TARGETDIR"